Subject: Re: [P2Prg] Proposed research tracks ...(application research)

From: "haitao chen" <[email-masked]>
Date: Sat, 15 Nov 2003 01:38:16 +0000

hi, maybe we can have an application subgroup. P2P still has a long way to 
be a killer application of
Internet. There are always questions like what p2p can do something 
important .
  This subgroup focuses on this problem:
    finding the suitable real applications for p2p;
    the relation of p2p and grid , classic c/s application ,and so on;
    finding the chanllenge of real application to p2p technology.
I hope this research of pratical application may contribute to the other 
research domain.

haitao chen

>From: [email-masked]
>    1. Proposed research tracks ... (Bill Yeager)
>
>
>Message: 1
>Date: Mon, 10 Nov 2003 21:41:47 -0800
>From: Bill Yeager <[email-masked]>
>To: p2p-irtf <[email-masked]>
>Subject: [P2Prg] Proposed research tracks ...
>
>Hi,
>
>Here is our first proposal for research tracks in our RG. Please
>comment and/or volunteer so we can get this show on the road (-:
>
>Thanks,
>
>Bill and Bobby
>
>-------
>
>In all of the research tracks below the overriding consideration is
>that we do not reinvent any wheels. Care must be taken to look for
>possible relationships with, or extrapolations of ideas in current
>RFC's.
>
>o Overview of current P2P systems
>
>	A short term effort to give us a baseline of current P2P system
>behavior. What is there that is relevant
>           to the following research subgroups.
>
>	Subgroup leaders: Bill and Bobby
>
>o P2P Overlay Infrastructure
>
>	What are the requirements of such an infrastructure to guarantee both
>end-to-end communication between
>	any two peer nodes independently of the underlying real
>infrastructure? What will the UUID's be for such
>	peer nodes? Will they resemble IP.V6 addresses for example? Can they
>be created in such a way as to
>	make mobility implicit without any special changes to the discovery
>and routing protocols we use?
>
>	Subgroup leaders: Bill Yeager, Jeff Altman (Is there another volunteer
>out there?)
>
>o P2P Mobility Device Requirements
>
>	Mobile devices have both capability and infrastructure differences
>that must be addressed so that they can
>	interoperate will an Internet-wide p2p network. These special
>requirements will be outlined, and carefully
>      	examined in this research track. The results of this effort will
>clearly influence the other tracks discussed below
>	since mobile devices must play in any P2P space that our research
>ultimately defines.
>
>	Subgroup leader: Frank-Uwe Andersen
>
>o Meta-Data Strategies
>
>	Meta-data descriptions are at the core of content distribution, and
>lookup in a P2P network. Thus, addressing various strategies
>	for such descriptions is critical early on in our research. Happily,
>Sam Joseph has enthusiastically volunteered to led this effort.
>
>	Subgroup leader: Sam Joseph
>
>o Namespaces:  managed versus unmanaged
>
>	Ad-hoc vrs controlled name spaces:
>
>	A managed namespace is controlled by (at least) one authority who is
>	responsible for delegating rights to subspaces within the managed
>   	space.  In an unmanaged space, any principal can bind to any name,
>	and an external protocol (e.g. cryptographic certificates, or trust
>   	inference) is used for resolving specific references.
>
>   	It is not clear which model is more appropriate for the P2P domain;
>   	clearly, it is attractive to have the IETF (or a similar body) "own"
>   	some part of the P2P namespaces (much like today's DNS), and have the
>   	usual name delegation etc.  However, the P2P model may be
>decentralized
>   	by definition, and thus, both approaches are appropriate, and should
>	be addressed in this research track.
>
>	Subgroup leader:  To be determined.
>
>o Routing and routing primitives
>
>	Everything we know about p2p routing and how it relates to the IETF
>routing protocols:
>
>	Initially, a survey of current P2P routing techniques is a requirement
>for this research
>           track. The feeling is that any overlay network we might chose
>should be routing protocol
>    	agnostic since different protocols may be appropriate for different
>applications. Think about
>	a P2P based file storage system that operates on pages of files versus
>straight forward
>	content exchange for example. Would the same routing protocols be
>appropriate in both
>	instances given the granularity and latency differences that each
>system can tolerate?
>
>	Ultimately, another related path of exploration is to investigate how
>hints from existing Internet
>	routing protocols might be used to give hints to aid in building
>application, context specific routing
>	tables.
>
>	Subgroup leader: To be determined.
>
>o Peer Discovery/Resource Location/Presence
>
>	Once again, there are common sub functions here that all P2P apps
>    	use, and in this case, it seemed clear that some components could be
>    	reused by different P2P systems.  For example, all P2P systems have
>    	to solve the "first node" problem for bootstrapping new clients.
>    	Different possible methods were discussed, including
>    	DNS/DHCP/rendezvous point schemes. What will the super-peers
>	be required to do to fulfill these requirements?
>
>	Subgroup leader: To be determined
>
>o Security issues
>
>     	Security in a P2P system is extremely difficult because of the
>possible
>	pure ad-hoc nature and behavior that can exhibit itself. One may and
>	and often will not be able to depend on a centralized certificate
>authority
>	based PKI to bootstrap secure networks. The requirements are the same:
>	Privacy, Authentication, Integrity, and non-repudiation. The possible
>solutions
>	are quite interesting and often point towards PGP-like Webs-of-Trust
>	and reputation models.
>	.
>	On the other hand, in an enterprise, a very centralized, CA PKI will be
>	necessary for P2P to fly there. On top of this we have the usual DoS
>	attacks, the requirement to support anonymous, and autonomous
>	peer nodes, etc.
>
>	It is appropriate to begin here with a survey of the current P2P
>research
>	on security to establish a foundation for discussion, and synergy with
>	the IETF security efforts.
>
>	This is a difficult and truly interesting area for research.
>
>	Subgroup leader: To be determined.
>
>
>
>--__--__--
>

_________________________________________________________________
The new MSN 8: advanced junk mail protection and 2 months FREE* 
http://join.msn.com/?page=features/junkmail

_______________________________________________
P2prg mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/p2prg

---

From: Jeffrey Altman <[email-masked]>
Date: Fri, 14 Nov 2003 21:02:38 -0500

I think Chandler from the OSAF has the potential to be the killer app 
for P2P

  http://www.osafoundation.org

Jeffrey Altman

haitao chen wrote:

> hi, maybe we can have an application subgroup. P2P still has a long 
> way to be a killer application of
> I hope this research of pratical application may contribute to the 
> other research domain.
>
> haitao chen
>
>

---

From: [email-masked]
Date: Sat, 15 Nov 2003 17:51:19 +0900

Hi,

Personally, I believe this RG are going to focus on technical
difficulty. More than survey (like the survey subtrack) on
applications is too broad to do here. Everyone think differently.

or do you mention high availability to make real buisiness
application? I believe HA is a real concern.

Yusuke

At Sat, 15 Nov 2003 01:38:16 +0000,

---

From: Bill Yeager <[email-masked]>
Date: Thu, 20 Nov 2003 21:19:41 -0800

Are we talking Agents? I haven't yet revealed my full Java Mobile Agent 
Research on Jxta. I actually have self-administration working, in the 
sense that they keep what I call the "administrative heartbeat" of any 
part of the overlay network. Cool stuff ... I actually have 5 patents 
pending on this technology, and the IPR is under RFC2026's policies.

The applications of this technology are almost unlimited. There is a 
lot of this work going on in this area at the University of Geneva ...

Bill

On Friday, November 14, 2003, at 06:02 PM, Jeffrey Altman wrote:

>  think Chandler from the OSAF has the potential to be the killer app 
> for P2P
>

---

From: Bill Yeager <[email-masked]>
Date: Thu, 20 Nov 2003 21:25:59 -0800

Speaking of applications, I'm thinking we may need an applications 
subgroup. It can provide use cases right up front, and some vision to 
where this is all going.

I personally don't think there is a "killer app," but rather P2P itself 
is the killer infrastructure. It will sprout apps like a lawn sprouts 
dandelions in the Spring time! And, these reseed themselves very 
quickly.

Bill

On Saturday, November 15, 2003, at 12:51 AM, [email-masked] 
wrote:

> applications is too broad to do here.